API ReferenceSessions
Create Session
Authorization
bearerAuth AuthorizationBearer <token>
Send a SimpleServe API key as Authorization: Bearer <key>.
In: header
Header Parameters
Idempotency-Key*string
Length
1 <= length <= 200Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/sessions" \ -H "Idempotency-Key: string" \ -H "Content-Type: application/json" \ -d '{ "agent_id": "string" }'{ "tool_settings": { "web_search": true }, "tool_availability": { "web_search": { "available": false, "reason": "agent_unsupported" }, "directory_files": false }, "execution": { "provider": "simpleserve", "model": "auto", "effort": null }, "id": "string", "object": "session", "kind": "direct", "agent": "string", "agent_name": "string", "provider_name": "string", "provider_logo_url": "string", "status": "queued", "active_run_id": "string", "title": "string", "preview": "string", "pinned_at": "2019-08-24T14:15:22Z", "unread": true, "archived_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}